Bug 1278062 - Wrong breadcrumb path when navigating between Provider screens using dashboard maintab
Wrong breadcrumb path when navigating between Provider screens using dashboar...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.4.4
Assigned To: Aparna Karve
Jeff Teehan
: ZStream
Depends On: 1275589
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 11:03 EST by Chris Pelland
Modified: 2015-12-16 08:19 EST (History)
12 users (show)

See Also:
Fixed In Version: 5.4.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1275589
Environment:
Last Closed: 2015-12-16 08:19:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 CFME Bot 2015-11-06 15:17:52 EST
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=2cde09a02c32d6aeaac24d2e2c6d2981e5e8df1b

commit 2cde09a02c32d6aeaac24d2e2c6d2981e5e8df1b
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Fri Nov 6 10:38:02 2015 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Fri Nov 6 10:47:33 2015 -0800

    Fixed breadcrumbs path when a page is accessed from dashboard maintab
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1278062

 vmdb/app/controllers/application_controller.rb       |  1 +
 .../application_controller/ci_processing.rb          |  1 +
 vmdb/app/controllers/dashboard_controller.rb         |  1 +
 .../controllers/container_group_controller_spec.rb   |  6 ++++--
 .../controllers/container_node_controller_spec.rb    |  6 ++++--
 .../controllers/container_service_controller_spec.rb |  6 ++++--
 vmdb/spec/controllers/dashboard_controller_spec.rb   | 16 ++++++++++++++++
 vmdb/spec/controllers/ems_infra_controller_spec.rb   | 20 ++++++++++++++++++++
 8 files changed, 51 insertions(+), 6 deletions(-)
Comment 4 CFME Bot 2015-11-06 15:17:58 EST
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=eb7e8ad7c5a67834b3551cc70f8f806a4a07d784

commit eb7e8ad7c5a67834b3551cc70f8f806a4a07d784
Merge: 2b7a81e 2cde09a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Nov 6 15:11:36 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Nov 6 15:11:36 2015 -0500

    Merge branch 'bz1278062_fix_breadcrumb_for_nonexplorer_controllers' into '5.4.z'
    
    BZ1278062 - Fixed breadcrumbs path when a page is accessed from dashboard maintab
    
    Upstream PR - https://github.com/ManageIQ/manageiq/pull/5171
    
    Only a few commits from the above PR were applicable for 5.4.z.
    Fix was applied manually.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1278062
    
    See merge request !379

 vmdb/app/controllers/application_controller.rb       |  1 +
 .../application_controller/ci_processing.rb          |  1 +
 vmdb/app/controllers/dashboard_controller.rb         |  1 +
 .../controllers/container_group_controller_spec.rb   |  6 ++++--
 .../controllers/container_node_controller_spec.rb    |  6 ++++--
 .../controllers/container_service_controller_spec.rb |  6 ++++--
 vmdb/spec/controllers/dashboard_controller_spec.rb   | 16 ++++++++++++++++
 vmdb/spec/controllers/ems_infra_controller_spec.rb   | 20 ++++++++++++++++++++
 8 files changed, 51 insertions(+), 6 deletions(-)
Comment 6 Jeff Teehan 2015-11-20 16:45:55 EST
This looks good to me.  I tried the above steps as well as some ad hoc stuff.  Also check on 5.5.0.11 as long as I was here.

Both current versions are working correctly
Using 5.4.4.1 on https://10.16.6.254/ems_cloud/show/1120000000000002
Using 5.5.0.11 on https://10.16.6.164/ems_cloud/1119000000000002
Comment 7 Jeff Teehan 2015-11-20 16:51:12 EST
Seem to have missed the Verified status the first time.
Comment 9 errata-xmlrpc 2015-12-16 08:19:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2620.html

Note You need to log in before you can comment on or make changes to this bug.